# Method: partners.subscriptions.get

- [HTTP request](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/get#body.request_body)
- [Response body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/get#body.response_body)

Gets a subscription by id. It should be called directly by the partner using service accounts.

### HTTP request

`GET https://paymentsresellersubscription.googleapis.com/v1/{name=partners/*/subscriptions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the subscription resource to retrieve. It will have the format of "partners/{partner_id}/subscriptions/{subscriptionId}" |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`.